Arch Add/de: Difference between revisions

From FreeCAD Documentation
m (Koordinatensystem -> Achsensystem)
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand/de|Name=Arch Add|Name/de=Teil hinzufügen|MenuLocation=Architektur -> Teil hinzufügen|Shortcut=W A|Workbenches=[[Arch Module/de|Arch]]|SeeAlso=[[Arch Remove/de|Entfernen]]}}
{{GuiCommand|Name=Arch Add|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch -> Add|SeeAlso=[[Arch Remove]]}}
==Description==


The Add tool allows you to do 4 kinds of operations:
==Beschreibung==
* Add [[Part Module|shape]]-based objects to an Arch component, such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]. These objects make then part of the Arch component, and allow you to modify its shape but keeping its base properties such as width and height

* Add Arch components, such as a [[Arch Wall|walls]] or [[Arch Structure|structures]], to a group-based arch object such as [[Arch Floor|floors]].
Das Teil hinzufügen - Werkzeug erlaubt folgende Arten von Operationen:
* Add [[Arch Axis|axis systems]] to [[Arch Structure|structural objects]]
* Ein [[Part Module/de|Primitiven]]-basiertes Objekt wird einer Architekturkomponente hinzugefügt, beispielsweise eine [[Arch Wall/de|Wand]] oder ein [[Arch Structure/de|Bauelement]].<br>Diese Objekte werden dann Teil der Architekturkomponente, wobei sich aber deren grundlegende Parameter wie Höhe oder Breite<br>weiterhin verändern lassen.
* Add objects to [[Arch SectionPlane|section planes]]
* Füge eine Architekturkomponente, wie z.B. eine [[Arch Wall/de|Wand]] oder ein [[Arch Structure/de|Bauelement]], zu einer Gruppierung von Architekturelementen,<br>wie z.B. einer [[Arch Floor/de|Etage]], hinzu.
* Füge ein [[Arch Axis/de|Achsensystem]] zu [[Arch Structure/de|Bauelementen]] hinzu.
* Füge Objekte zu [[Arch SectionPlane/de|Schnittebenen]] hinzu.


[[Image:Arch Add example.jpg]]
[[Image:Arch Add example.jpg]]


In the above image, a box is being added to a wall.
In obenstehendem Bild wird ein Quader einer Wand hinzugefügt.


==Anwendung==
==How to use==


# Select the object(s) to be added, then the "host" object (the host object must be the last one you selected)
# Wähle ein oder mehrere hinzuzufügende Objekte, dann das Zielobjekt. Das Zielobjekt muss das letze ausgewählte Objekt sein.
# Drücke den {{KEY|[[Image:Arch Add.png|16px]] '''Hinzufügen'''}}-Knopf.
# Press the {{KEY|[[Image:Arch Add.png|16px]] '''Add'''}} button


==Scripting==
==Scripting==


The Add tool can by used in [[macros]] and from the python console by using the following function:
Das Hinzufügen-Werkzeug kann in [[macros/de|Makros]] und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:
'''addComponents (objectsList,hostObject)''':

* Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
'''addComponents (objektListe,zielObjekt)'''<br>fügt ein gegebenes Objekt oder die Objekte der gegebenen Liste als Komponenten zum gegebenen Zielobjekt hinzu.<br>So lassen sich beispielsweise Fenster zu einer Wand oder Wände zu einer Etage hinzufügen.
* Returns nothing.

Beispiel:


Example:
import FreeCAD, Arch, Draft, Part
import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
Line 32: Line 31:
Arch.addComponents(box,wall)
Arch.addComponents(box,wall)


<languages/>
{{languages/de | {{en|Arch_Add}} {{es|Arch_Add/es}} {{fr|Arch_Add/fr}} {{it|Arch_Add/it}} {{jp|Arch_Add/jp}} {{se|Arch_Add/se}} }}

Revision as of 00:07, 29 November 2013

Arch Add

Menu location
Arch -> Add
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Remove

Description

The Add tool allows you to do 4 kinds of operations:

In the above image, a box is being added to a wall.

How to use

  1. Select the object(s) to be added, then the "host" object (the host object must be the last one you selected)
  2. Press the Add button

Scripting

The Add tool can by used in macros and from the python console by using the following function:

addComponents (objectsList,hostObject): 
  • Adds the given object or the objects from the given list as components to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.
  • Returns nothing.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)